class Layout < DesignFile
  include Parser
  
  attr_reader :content
  
  embeds_one :menu
  embedded_in :design
  embeds_many :layout_parts
  
  after_save :parse_layout

  def content
    self.file.read.force_encoding("UTF-8") rescue ''
  end

  def self.exist_one?
    Layout.count > 0
  end

  def parse_layout 
    parse_layout_contents(self)
  end
  
end
